<?php
///////////////////////////////////////////////////////////
// adapter-mysql.php
///////////////////////////////////////////////////////////
//
// An adapter file to include all necessary files.
// Specifically tailored to running in a MySQL 5.0
// environment.
//
// Version:    1.0
// Written by: Justin Zipkin 
//             justin.zipkin@db.com
//
// Modified:   15.11.2005 (jz)
//
///////////////////////////////////////////////////////////

// Where include files are located
define("INCLUDES_DIR", "./includes/");

// Database access
define("DB_USER","username");
define("DB_PASS","password");
define("DB_HOST","localhost");
define("DB_SCHEMA","taskman");

// Define special tasks to be globally accessable
$GLOBALS['SPECIALTASKS']=array('RANBASE EOD COMPLETE', 'RANBASE BATCH 2 STARTED', 'SOURCE 0/6/7 COMPLETE');

// Include necessary classes
if (!class_exists('db')) include (INCLUDES_DIR . 'db-mysql.php.inc');
if (!class_exists('day')) include (INCLUDES_DIR . 'day-mysql.php.inc');
if (!class_exists('task')) include (INCLUDES_DIR . 'task-mysql.php.inc');
if (!class_exists('calendar')) include (INCLUDES_DIR . 'calendar.php.inc');
if (!class_exists('fileoutput')) include(INCLUDES_DIR . 'fileoutput.php.inc');
if (!class_exists('csv')) include (INCLUDES_DIR . 'csv.php.inc');
if (!class_exists('msproject_xml')) include (INCLUDES_DIR . 'msproject_xml.php.inc');
if (!class_exists('msproject_xml_task')) include (INCLUDES_DIR . 'msproject_xml_task.php.inc');
if (!class_exists('xml')) include(INCLUDES_DIR . 'xml.php.inc');

// Include necessary functions
if (!function_exists('TaskmanErrorHandler')) include (INCLUDES_DIR . 'error-handler.php.inc');
?>