<?php
///////////////////////////////////////////////////////////
// db-mysql.php.inc
///////////////////////////////////////////////////////////
//
// An implementation of the db class specific to MySQL
//
// Version:    1.0
// Written by: Justin Zipkin 
//             justin.zipkin@db.com
//
// Modified:   07.11.2005 (jz)
//
///////////////////////////////////////////////////////////
   
class db {
  private $sqllink;
  
  /////////////////////////////////////////////////////////
  // Constructor ($dbhost, $dbinstance, $dbuser, $dbpass)
  //
  // Takes:   DB connection info as four strings
  // Returns: Nothing
  //
  // Creates a connect to the database server to be used
  // throughout the objects life.
  //
  /////////////////////////////////////////////////////////
  function __construct($dbhost, $dbinstance, $dbuser, $dbpass) {
    $this->sqllink = mysql_connect($dbhost, $dbuser, $dbpass);
    if (!$this->sqllink) {
      trigger_error("Could not connect to host : " . mysql_error(),E_USER_ERROR);
      die("<pre>There has been a critical database error, please contact an administrator if this persists: \n" . mysql_error() . "</pre>");
    } else
    $db_selected = mysql_select_db($dbinstance, $this->sqllink);
    if (!$db_selected) {
      trigger_error("Could not connect to database : " . mysql_error(),E_USER_ERROR);
      die("<pre>There has been a critical database error, please contact an administrator if this persists: \n" . mysql_error() . "</pre>");
    }
  }
  
  /////////////////////////////////////////////////////////
  // Destructor ()
  //
  // Takes:   Nothing
  // Returns: Nothing
  //
  // Terminates the MySQL connection instantiated in the
  // constructor.
  //
  /////////////////////////////////////////////////////////
  function __destruct() {
    mysql_close($this->sqllink);
  }

  /////////////////////////////////////////////////////////
  // dosql($query)
  //
  // Takes:   A string
  // Returns: An array of objects
  //
  // This function will return an array of objects based on
  // the results from a MySQL query.  The results are
  // accessable by key (MySQL column name) in each array
  // element.
  /////////////////////////////////////////////////////////

  function dosql($query) {
    $rows=array();
    $result=mysql_query($query,$this->sqllink);
    
    //print "Executing Query:<br /> $query<br />\n";
    
    while ($row = mysql_fetch_object($result)) {
      // Append the next row result to the $rows array
      $rows[count($rows)]=$row;
    }
    
    // Clean up our result set
    mysql_free_result($result);

    return $rows;
  }
}
?>
